Subject: Fresh Horse Manure ??

From: [email-masked] (George VandenBerghe)
Date: 23 Mar 95 09:34:28 CST

A friend of mine has access to FRESH horse manure
from a local riding stable (local to him but
not to me).   He would like to use it
in his garden but I warned him that since it
is fresh it could burn his plants (various
vegetables) if he uses too much of it.
What is the maximum safe rate to apply it to his soil.

(I told him to compost it for three months at least
{ and a year would be better } but he is eager to
use it now if possible)( If it were me
I would avoid it completely until next year)